=== debian/changelog ===
votca-tools (2021.2-1) unstable; urgency=medium

  * New upstream release.
  * Minor lintian cleanups.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 10 Oct 2021 08:28:55 -0700

votca-tools (2021.1-1) unstable; urgency=medium

  * New upstream release.  Returning to unstable after release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 19 Aug 2021 19:29:17 -0700

votca-tools (2021-1) experimental; urgency=medium

  * New upstream release.  Upload to experimental during freeze.
  * SONAME bump to 2021 - now matches major version of project.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 19 Jun 2021 11:03:17 -0700
