=== debian/control ===
Source: votca-tools
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>,
           Michael Banck <mbanck@debian.org>,
           Nicholas Breen <nbreen@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-test-dev,
               libeigen3-dev,
               libexpat1-dev,
               libfftw3-dev,
               libgsl-dev,
               pkg-config,
               python3:any,
               txt2tags
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: http://www.votca.org
Vcs-Browser: https://salsa.debian.org/debichem-team/votca-tools
Vcs-Git: https://salsa.debian.org/debichem-team/votca-tools.git

Package: libvotca-tools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libboost-filesystem-dev,
         libboost-program-options-dev,
         libexpat1-dev,
         libvotca-tools2021 (= ${binary:Version}),
         ${misc:Depends}
Description: VOTCA's tools library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
 .
 This package contains header files and pkg-config files.

Package: libvotca-tools2021
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: VOTCA's tools library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.

Package: votca-tools
Section: science
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Replaces: libvotca-tools-dev (<< 2021)
Breaks: libvotca-tools-dev (<< 2021)
Description: VOTCA's tools library, helper binaries
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 VOTCA's tools library provides functions shared between all VOTCA packages.
 .
 This package contains helper binaries and shell RC file fragments.
