=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH) -DENABLE_TESTING=On
	@echo 'blhc: ignore-line-regexp: \s+C\+\+ vector data structures'

%:
	dh $@  --with python3
